## Function imaging in Pascal

This is an undergraduate course project of Artem K., written in Pascal, that allows you to create images of Multibrot sets, plot 2D functions and create images of simple geometric figures (circle, rectangle).

#### How to run
Build project with **build.bat** then navigate to **build** folder and execute **gui.exe**

#### Troubleshooting
- If gui does not accept mouse clicks - disable "Quick Edit Mode" in command line properties (right click on cmd window header)

#### Results
![mandelbrot.png](./images/mandelbrot.png)
![multibrot.png](./images/multibrot.png)
![plots1.png](./images/plots1.png)
![plots2.png](./images/plots2.png)
![plots3.png](./images/plots3.png)

#### GUI (FreeVision)
![gui1.png](./images/gui1.png)
![gui2.png](./images/gui2.png)

by Artem K.
